MDL-65204 phpunit: update composer to use phpunit 7.5.x
authorEloy Lafuente (stronk7) <stronk7@moodle.org>
Sun, 24 Mar 2019 22:11:35 +0000 (23:11 +0100)
committerJun Pataleta <jun@moodle.com>
Wed, 3 Apr 2019 02:39:19 +0000 (10:39 +0800)
commitbe81130189df45bfa604149e5b8643e43ab0d52d
treea98174a5b50090d02627abca4f10b4aa620a31f7
parent280cfdf05c46e1e90526ff7f4b0b2ef158cd4a65
MDL-65204 phpunit: update composer to use phpunit 7.5.x

To generate a new composer.lock for a given Moodle branch:
- Remove composer.lock
- Remove vendor
- Remove composer caches:
      php composer.phar clearcache
- Using lower PHP version supported (7.1.x for Moodle 3.7), update:
      php composer.phar update

https://docs.moodle.org/dev/Composer#How_to_prepare_and_submit_composer_changes
composer.json
composer.lock